Create one request

post

/fscmRestApi/resources/11.13.18.05/shipmentLineChangeRequests

Request

Header Parameters
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: object
Show Source
  • Value that uniquely identifies the action to be run for this transaction request. Valid value is UpdateAttributes.
  • Maximum Length: 5
    Contains one of the following values: true or false. If true, the partial LPN transaction isn't allowed for the line. If false, the partial LPN transaction is allowed.
  • Shipment Lines
    Title: Shipment Lines
    The Shipment Lines resource manages details about the shipment lines.
Nested Schema : Shipment Lines
Type: array
Title: Shipment Lines
The Shipment Lines resource manages details about the shipment lines.
Show Source
Nested Schema : shipmentLineChangeRequests-shipmentLines-item-post-request
Type: object
Show Source
Nested Schema : Attachments
Type: array
Title: Attachments
The attachments resource is used to view, create, and update attachments.
Show Source
Nested Schema : DFF
Type: array
Show Source
Nested Schema : Notes
Type: array
Title: Notes
The note objects resource is used to view the note objects.
Show Source
Nested Schema : Serials
Type: array
Title: Serials
The Serials resource manages details about serial numbers for items in shipment lines.
Show Source
Nested Schema : wshInvStripingDFF
Type: array
Show Source
Nested Schema : shipmentLineChangeRequests-shipmentLines-attachments-item-post-request
Type: object
Show Source
Nested Schema : shipmentLineChangeRequests-shipmentLines-DFF-item-post-request
Type: object
Show Source
Nested Schema : schema
Type: object
Show Source
Nested Schema : schema
Type: object
Show Source
  • attributeDFF
  • Maximum Length: 80
    Starting serial number in a range of serial numbers. The application uses this attribute when the warehouse places the item under serial control.
  • Indicate when the serial is added, deleted, or modified. The valid values are 1, 2, and 3. If the value is 1, then the serial number from the request is added to the shipment line. If the value is 2, then the serial number information from the request is updated. If the value is 3, then the serial number is removed from the shipment line. If a value isn't provided, then the serial numbers assigned to the shipment lines are removed and replaced with the serial numbers in the request.
  • standardDFF
  • Maximum Length: 80
    Ending serial number in a range of serial numbers. The application uses this attribute when the warehouse places the item under serial control.
Nested Schema : attributeDFF
Type: array
Show Source
Nested Schema : standardDFF
Type: array
Show Source
Nested Schema : shipmentLineChangeRequests-shipmentLines-serials-attributeDFF-item-post-request
Type: object
Show Source
Nested Schema : shipmentLineChangeRequests-shipmentLines-serials-standardDFF-item-post-request
Type: object
Show Source
Nested Schema : shipmentLineChangeRequests-shipmentLines-wshInvStripingDFF-item-post-request
Type: object
Show Source
Back to Top

Response

Supported Media Types

Default Response

The following table describes the default response for this task.
Headers
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Body ()
Root Schema : shipmentLineChangeRequests-item-response
Type: object
Show Source
Nested Schema : Shipment Lines
Type: array
Title: Shipment Lines
The Shipment Lines resource manages details about the shipment lines.
Show Source
Nested Schema : shipmentLineChangeRequests-shipmentLines-item-response
Type: object
Show Source
Nested Schema : Attachments
Type: array
Title: Attachments
The attachments resource is used to view, create, and update attachments.
Show Source
Nested Schema : DFF
Type: array
Show Source
Nested Schema : Notes
Type: array
Title: Notes
The note objects resource is used to view the note objects.
Show Source
Nested Schema : Serials
Type: array
Title: Serials
The Serials resource manages details about serial numbers for items in shipment lines.
Show Source
Nested Schema : wshInvStripingDFF
Type: array
Show Source
Nested Schema : shipmentLineChangeRequests-shipmentLines-attachments-item-response
Type: object
Show Source
Nested Schema : shipmentLineChangeRequests-shipmentLines-DFF-item-response
Type: object
Show Source
Nested Schema : shipmentLineChangeRequests-shipmentLines-notes-item-response
Type: object
Show Source
Nested Schema : shipmentLineChangeRequests-shipmentLines-serials-item-response
Type: object
Show Source
  • attributeDFF
  • Maximum Length: 80
    Starting serial number in a range of serial numbers. The application uses this attribute when the warehouse places the item under serial control.
  • Links
  • Indicate when the serial is added, deleted, or modified. The valid values are 1, 2, and 3. If the value is 1, then the serial number from the request is added to the shipment line. If the value is 2, then the serial number information from the request is updated. If the value is 3, then the serial number is removed from the shipment line. If a value isn't provided, then the serial numbers assigned to the shipment lines are removed and replaced with the serial numbers in the request.
  • standardDFF
  • Maximum Length: 80
    Ending serial number in a range of serial numbers. The application uses this attribute when the warehouse places the item under serial control.
Nested Schema : attributeDFF
Type: array
Show Source
Nested Schema : standardDFF
Type: array
Show Source
Nested Schema : shipmentLineChangeRequests-shipmentLines-serials-attributeDFF-item-response
Type: object
Show Source
Nested Schema : shipmentLineChangeRequests-shipmentLines-serials-standardDFF-item-response
Type: object
Show Source
Nested Schema : shipmentLineChangeRequests-shipmentLines-wshInvStripingDFF-item-response
Type: object
Show Source
Back to Top

Examples

This example describes how to create a request to update shipment line attributes.

Example cURL Command

Use the following cURL command to submit a request on the REST resource.

curl -u username:password -X POST -H "Content-Type:application/vnd.oracle.adf.resourceitem+json" -d 'request payload' 
"https://servername/fscmRestApi/resources/version/shipmentLineChangeRequests"

Example 1 Request Body

The following example includes the contents of the request body in JSON format to update the tracking number for a shipment line. You replace the request payload in the cURL command with the contents of the Example Request Body. The request payload specifies attribute values that the command will use in the record that it creates.

{ 
	"ActionCode":"UpdateAttributes", 
	"shipmentLines": [ 

	{ 
		"ShipmentLine":3666738,
		"TrackingNumber": 209314
	} 
	] 
} 

Example 1 Response Body

The following example includes the contents of the response body in JSON format:

{
	"TransactionId": 300100171231774,
	"ActionCode": "UpdateAttributes",
	"TransactionStatusCode": "SC",
	"TransactionStatus": "Successfully completed",
	"CreationDate": "2018-11-07T19:08:19+00:00",
	"CreatedBy": "WHSE_MGR_M1",
	"LastUpdateDate": "2018-11-07T19:08:19.035+00:00",
	"LastUpdatedBy": "WHSE_MGR_M1",
	"shipmentLines": {
		"items": [
		{}
		]
	}
}

Example 2 Request Body

The following example includes the contents of the request body in JSON format to update the flexfield values of a shipment line. You replace the request payload in the cURL command with the contents of the Example Request Body. The request payload specifies attribute values that the command will use in the record that it creates.

{
	"ActionCode": "UpdateAttributes",
	"shipmentLines": [
	{
		"ShipmentLine": 3769901,
		"DFF": [
		{
			"_Global1": "G1",
			"_Global2": "G2",
			"_zBIADFF1": "zBIA",
			"_BI_WSH_Delivery_Details_GBL": "GBL",
			"__FLEX_Context": "Context1",
			"_Context1Col1": "C1"
		}
		]
	}
	]
}

Example 2 Response Body

The following example includes the contents of the response body in JSON format:

{
	"TransactionId": 300100185887511,
	"ActionCode": "UpdateAttributes",
	"TransactionStatusCode": "SC",
	"TransactionStatus": "Successfully completed",
	"CreationDate": "2019-11-27T18:49:31+00:00",
	"CreatedBy": "WHSE_MGR_ALL_INV_ORGS",
	"LastUpdateDate": "2019-11-27T18:49:35.104+00:00",
	"LastUpdatedBy": "WHSE_MGR_ALL_INV_ORGS",
	"shipmentLines": {
		"items": [
		{}
		]
	}
}
Back to Top